%global pypi_name uri-template
%global pypi_version 1.2.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:    1%{?dist}
Summary:        RFC 6570 URI Template Processor

License:        MIT
URL:            https://github.com/plinss/uri_template/
Source0:        %{url}/archive/refs/tags/v%{pypi_version}.tar.gz#/%{name}-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
An implementation of RFC 6570 URI Templates.This packages implements
URI Template expansion in strict adherence to RFC 6570, but adds a
few extensions.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
An implementation of RFC 6570 URI Templates.This packages implements
URI Template expansion in strict adherence to RFC 6570, but adds a
few extensions.

%prep
%autosetup -n uri_template-%{pypi_version}

sed -i 's/0.0.0/%{pypi_version}/g' setup.py

%build
%py3_build

%install
%py3_install

%check
%{python3} test.py

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/uri_template
%{python3_sitelib}/uri_template-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-1
- initial build
